STOFFChart::Serie Struct Reference

a serie in a chart More...

`#include <STOFFChart.hxx>`

## Public Types

enum | Type { S_Area , S_Bar , S_Bubble , S_Circle , S_Column , S_Gantt , S_Line , S_Radar , S_Ring , S_Scatter , S_Stock , S_Surface }
| the series type More...
enum | PointType { P_None =0 , P_Automatic , P_Square , P_Diamond , P_Arrow_Down , P_Arrow_Up , P_Arrow_Right , P_Arrow_Left , P_Bow_Tie , P_Hourglass , P_Circle , P_Star , P_X , P_Plus , P_Asterisk , P_Horizontal_Bar , P_Vertical_Bar }
| the point type More...

## Public Member Functions

| Serie ()
| constructor
| Serie (Serie const &)=default
| Serie (Serie &&)=default
Serie & | operator= (Serie const &)=default
Serie & | operator= (Serie &&)=default
virtual | ~Serie ()
| destructor
bool | is1DStyle () const
| return true if the serie style is 1D
bool | valid () const
| return true if the serie is valid
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList

## Static Public Member Functions

static std::string | getSerieTypeName (Type type)
| returns a string corresponding to a series type

## Public Attributes

Type | m_type
| the type
Position | m_ranges [2]
| the data range
bool | m_useSecondaryY
| use or not the secondary y axis
STOFFFont | m_font
| the label font
Position | m_labelRanges [2]
| the label ranges if defined(unused)
Position | m_legendRange
| the legend range if defined
librevenge::RVNGString | m_legendText
| the legend name if defined
STOFFGraphicStyle | m_style
| the graphic style
PointType | m_pointType
| the point type

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFChart::Serie const &serie)
| operator<<

## Detailed Description

a serie in a chart

## Member Enumeration Documentation

## PointType

enum STOFFChart::Serie::PointType

the point type

Enumerator
P_None |
P_Automatic |
P_Square |
P_Diamond |
P_Arrow_Down |
P_Arrow_Up |
P_Arrow_Right |
P_Arrow_Left |
P_Bow_Tie |
P_Hourglass |
P_Circle |
P_Star |
P_X |
P_Plus |
P_Asterisk |
P_Horizontal_Bar |
P_Vertical_Bar |

## Type

enum STOFFChart::Serie::Type

the series type

Enumerator
S_Area |
S_Bar |
S_Bubble |
S_Circle |
S_Column |
S_Gantt |
S_Line |
S_Radar |
S_Ring |
S_Scatter |
S_Stock |
S_Surface |

## Constructor & Destructor Documentation

## Serie() [1/3]

STOFFChart::Serie::Serie | ( |  | ) |

constructor

Referenced by operator=(), operator=(), Serie(), Serie(), and Serie().

## Serie() [2/3]

STOFFChart::Serie::Serie | ( | Serie const & |  | ) |

default

## Serie() [3/3]

STOFFChart::Serie::Serie | ( | Serie && |  | ) |

default

## ~Serie()

STOFFChart::Serie::~Serie | ( |  | ) |

virtual

destructor

## Member Function Documentation

## addContentTo()

void STOFFChart::Serie::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

## addStyleTo()

void STOFFChart::Serie::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

## getSerieTypeName()

std::string STOFFChart::Serie::getSerieTypeName | ( | Type | type | ) |

static

returns a string corresponding to a series type

Referenced by addContentTo(), and STOFFChart::sendChart().

## is1DStyle()

bool STOFFChart::Serie::is1DStyle | ( |  | ) | const

inline

return true if the serie style is 1D

## operator=() [1/2]

Serie & STOFFChart::Serie::operator= | ( | Serie && |  | ) |

default

## operator=() [2/2]

Serie & STOFFChart::Serie::operator= | ( | Serie const & |  | ) |

default

## valid()

bool STOFFChart::Serie::valid | ( |  | ) | const

inline

return true if the serie is valid

Referenced by addContentTo().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Serie const & | serie )

friend

operator<<

## Member Data Documentation

## m_font

STOFFFont STOFFChart::Serie::m_font

the label font

Referenced by Serie().

## m_labelRanges

Position STOFFChart::Serie::m_labelRanges[2]

the label ranges if defined(unused)

Referenced by operator<<.

## m_legendRange

Position STOFFChart::Serie::m_legendRange

the legend range if defined

Referenced by addContentTo(), operator<<, and Serie().

## m_legendText

librevenge::RVNGString STOFFChart::Serie::m_legendText

the legend name if defined

Referenced by addContentTo(), operator<<, and Serie().

## m_pointType

PointType STOFFChart::Serie::m_pointType

the point type

Referenced by addStyleTo(), is1DStyle(), operator<<, and Serie().

## m_ranges

Position STOFFChart::Serie::m_ranges[2]

the data range

Referenced by addContentTo(), operator<<, and valid().

## m_style

STOFFGraphicStyle STOFFChart::Serie::m_style

the graphic style

Referenced by addStyleTo(), operator<<, and Serie().

## m_type

Type STOFFChart::Serie::m_type

the type

Referenced by addContentTo(), is1DStyle(), operator<<, and Serie().

## m_useSecondaryY

bool STOFFChart::Serie::m_useSecondaryY

use or not the secondary y axis

Referenced by addContentTo(), and Serie().

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx